Bug 443736 - nfs mounting fails forever once it failed
nfs mounting fails forever once it failed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 23:07 EDT by Akira TAGOH
Modified: 2008-06-21 16:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-21 16:00:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-04-22 23:07:47 EDT
Description of problem:
Once mistakenly specifying non-existent directory with nfs mounting, even if
correct directory is given, the install process can't go forward.

Version-Release number of selected component (if applicable):
anaconda-11.4.0.75-1

How reproducible:
always

Steps to Reproduce:
1.specify non-existent directory with nfs install and see "That directory could
not be mounted from the server" error.
2.specify a directory that exactly has Fedora image.
3.
  
Actual results:
still fails

Expected results:
should go forward next step

Additional info:
From the log:

Running... /bin/mount -n -t iso9660 -o ro /dev/sr0 /mnt/stage2
mount: /dev/sr0 already mounted or /mnt/stage2 busy
mount: according to mtab, /dev/sr0 is already mounted on /mnt/stage2
Running... /bin/mount -n -t nfs -o nolock nfserver:/mnt/path/to/Fedora/i386/os
/mnt/source
mount.nfs: /mnt/source is busy or already mounted
Comment 1 Chris Lumens 2008-04-23 07:27:04 EDT
This should be fixed in the next build of anaconda, I think.  Judging from your
log file blurb I assume you are booting off the boot.iso.  This is likely just a
side effect of never unmounting the CD when given a bad NFS directory and not
doing the proper cleanup when we go around for another try.
Comment 2 Akira TAGOH 2008-04-23 07:53:38 EDT
Oops, sorry. yes, you're right. I have tried with boot.iso.
Thank you for fixing!
Comment 3 Bug Zapper 2008-05-14 05:59:38 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.